%global forgeurl https://gitlab.com/fedora/sigs/go/go2rpm
%define tag v%{version}

Name:           go2rpm
Version:        1.14.0^9.20241212.43e4a88
%forgemeta
Release:        1
Summary:        Convert Go packages to RPM

License:        MIT
URL:            %{forgeurl}
Source:         go2rpm-1.14.0^9.20241212.43e4a88.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
Requires:       askalono-cli
Requires:       compiler(go-compiler)
# Recommend go2rpm all extra that includes packages needed for the vendor
# profile
Recommends:     go2rpm+all

%description
Convert Go packages to RPM.

%prep
%autosetup 

%generate_buildrequires
%pyproject_buildrequires -x all,test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files %{name}

%check
%pytest -m "not network"

%files  -f %{pyproject_files}
%license LICENSE
%doc README.md
%doc NEWS.md
%{_bindir}/%{name}

%pyproject_extras_subpkg -n go2rpm all vendor

%changelog
%autochangelog
* Thu Dec 12 2024 Maxwell G <maxwell@gtmx.me> - 1.14.0^9.20241212.43e4a88-1
- doc README: fix broken link

* Wed Oct 02 2024 Maxwell G <maxwell@gtmx.me> - 1.14.0^8.20241002.e5430b0-1
- doc README: clean up "Bundled vendored dependencies"

* Mon Sep 30 2024 Bradley G Smith <bradley.g.smith@gmail.com> - 1.14.0^7.20240930.f120baa-1
- Add description of --profile

* Mon Aug 05 2024 Maxwell G <maxwell@gtmx.me> - 1.14.0^6.20240805.7efcdfd-1
- cli: add --detector to vendor profile param group

* Mon Aug 05 2024 Maxwell G <maxwell@gtmx.me> - 1.14.0^5.20240805.9a1f4d9-1
- cli and templates: fix simultaneous --tag and --version

* Mon Aug 05 2024 Maxwell G <maxwell@gtmx.me> - 1.14.0^4.20240805.8f356b2-1
- cli: group vendor profile flags in --help

* Wed Jul 03 2024 Maxwell G <maxwell@gtmx.me> - 1.14.0^3.20240703.9ad6825-1
- lint NEWS.md: fix indentation error

* Wed Jul 03 2024 Maxwell G <maxwell@gtmx.me> - 1.14.0^2.20240703.ceb39d8-1
- Post-release version bump

* Wed Jul 03 2024 Maxwell G <maxwell@gtmx.me> - 1.14.0^1.20240703.7660328-1
- NEWS: update for v1.14.0

